Change log for fuse-emulator package in Ubuntu

123 of 23 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-11
Deleted in disco-proposed (Reason: moved to release)
fuse-emulator (1.5.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove the 'Breaks' and 'Replaces' fields from fuse-emulator-common,
      they are no longer necessary.
  * debian/control:
    - Update Standards-Version to 4.2.1 (no changes).

 -- Alberto Garcia <email address hidden>  Tue, 11 Dec 2018 12:33:12 +0200

Available diffs

Superseded in disco-release on 2018-12-11
Published in cosmic-release on 2018-08-08
Deleted in cosmic-proposed (Reason: moved to release)
fuse-emulator (1.5.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/manpage-errors.patch:
    - Some hunks are no longer needed, remove them.
  * debian/patches/load-opense-rom.patch,
    debian/patches/missing-roms-help.patch,
    debian/patches/rom-search-path.patch:
    - Refresh these patches.
  * debian/control:
    - Update Standards-Version to 4.2.0 (no changes).

 -- Alberto Garcia <email address hidden>  Wed, 08 Aug 2018 14:02:14 +0300

Available diffs

Superseded in cosmic-release on 2018-08-08
Deleted in cosmic-proposed on 2018-08-09 (Reason: moved to release)
fuse-emulator (1.5.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.1.5 (no changes).
  * debian/patches/rom-search-path.patch:
    - Update patch.

 -- Alberto Garcia <email address hidden>  Thu, 05 Jul 2018 23:20:15 +0200

Available diffs

Superseded in cosmic-release on 2018-07-08
Deleted in cosmic-proposed on 2018-07-09 (Reason: moved to release)
fuse-emulator (1.5.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Vcs-* fields.

 -- Alberto Garcia <email address hidden>  Wed, 06 Jun 2018 12:18:18 +0300

Available diffs

Superseded in cosmic-release on 2018-06-06
Deleted in cosmic-proposed on 2018-06-08 (Reason: moved to release)
fuse-emulator (1.5.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update package description to list recently added features.
    - Update Standards-Version to 4.1.4 (no changes).
  * Set debhelper compatibility level to v10:
    - debian/control: update build dependency on debhelper and remove
      build dependency on dh-autoreconf.
    - debian/compat: update compatibility level.
    - debian/rules: remove '--with autoreconf --parallel', these are now
      enabled by default.
  * debian/patches/phantom-typist-sound.patch:
    - Remove this patch.
  * debian/patches/compile-without-roms.patch:
    - Refresh this patch.

 -- Alberto Garcia <email address hidden>  Wed, 02 May 2018 12:40:51 +0300

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2018-02-28
Deleted in bionic-proposed (Reason: moved to release)
fuse-emulator (1.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.1.3 (no changes).

 -- Alberto Garcia <email address hidden>  Tue, 27 Feb 2018 10:28:50 +0200

Available diffs

Superseded in bionic-release on 2018-02-28
Deleted in bionic-proposed on 2018-03-01 (Reason: moved to release)
fuse-emulator (1.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/compile-without-roms.patch
    - debian/patches/manpage-errors.patch
  * Drop disable-autoload.patch and update load-opense-rom.patch to
    implement the same functionality.
  * debian/control:
    - Update Standards-Version to 4.1.2 (no changes).

 -- Alberto Garcia <email address hidden>  Wed, 13 Dec 2017 22:11:23 +0100

Available diffs

Superseded in bionic-release on 2017-12-14
Deleted in bionic-proposed on 2017-12-15 (Reason: moved to release)
fuse-emulator (1.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - debian/patches/disable-autoload.patch
    - debian/patches/manpage-errors.patch
  * debian/control:
    - Update Standards-Version to 4.1.1 (no changes).

 -- Alberto Garcia <email address hidden>  Wed, 11 Oct 2017 12:12:56 +0300

Available diffs

Superseded in bionic-release on 2017-11-03
Published in artful-release on 2017-08-04
Deleted in artful-proposed (Reason: moved to release)
fuse-emulator (1.3.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.0.0 (no changes).
    - Build depend on libspectrum 1.3.6.
  * Refresh the following patches:
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <email address hidden>  Fri, 04 Aug 2017 10:39:48 +0300

Available diffs

Superseded in artful-release on 2017-08-04
Deleted in artful-proposed on 2017-08-06 (Reason: moved to release)
fuse-emulator (1.3.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build depend on libspectrum 1.3.5.
  * debian/rules:
    - Use DEB_VERSION_UPSTREAM from pkg-info.mk instead of
      dpkg-parsechangelog.
  * Refresh the following patches:
    - debian/patches/bash-completion.patch
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <email address hidden>  Thu, 13 Jul 2017 14:27:31 +0200

Available diffs

Superseded in artful-release on 2017-07-14
Deleted in artful-proposed on 2017-07-15 (Reason: moved to release)
fuse-emulator (1.3.6+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <email address hidden>  Wed, 21 Jun 2017 00:24:27 +0300

Available diffs

Superseded in artful-release on 2017-06-21
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
fuse-emulator (1.3.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * manpage-errors.patch:
    - Refresh.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <email address hidden>  Sat, 04 Feb 2017 12:39:48 +0200

Available diffs

Superseded in zesty-release on 2017-02-04
Deleted in zesty-proposed on 2017-02-05 (Reason: moved to release)
fuse-emulator (1.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - debian/patches/load-opense-rom.patch
    - debian/patches/manpage-errors.patch

 -- Alberto Garcia <email address hidden>  Fri, 09 Dec 2016 10:56:36 +0200

Available diffs

Superseded in zesty-release on 2016-12-10
Deleted in zesty-proposed on 2016-12-11 (Reason: moved to release)
fuse-emulator (1.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - compile-without-roms.patch
    - desktop-file.patch
    - disable-autoload.patch
    - load-opense-rom.patch
    - missing-roms-help.patch
    - rom-search-path.patch

 -- Alberto Garcia <email address hidden>  Tue, 08 Nov 2016 14:16:27 +0200

Available diffs

Superseded in zesty-release on 2016-11-08
Deleted in zesty-proposed on 2016-11-10 (Reason: moved to release)
fuse-emulator (1.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh these patches:
    - bash-completion.patch
    - load-opense-rom.patch
    - manpage-errors.patch

 -- Alberto Garcia <email address hidden>  Mon, 03 Oct 2016 10:06:34 +0300

Available diffs

Superseded in zesty-release on 2016-11-02
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
fuse-emulator (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the following patches:
    - compile-without-roms.patch
    - disable-autoload.patch
    - load-opense-rom.patch
    - manpage-errors.patch
    - missing-roms-help.patch
  * debian/rules:
    - Update sed rules for the new desktop file.
  * debian/copyright:
    - Remove reference to missing mkstemp.c file.

 -- Alberto Garcia <email address hidden>  Sat, 23 Jul 2016 01:21:48 +0200

Available diffs

Superseded in yakkety-release on 2016-07-23
Deleted in yakkety-proposed on 2016-07-24 (Reason: moved to release)
fuse-emulator (1.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #745402).
  * Verify GPG signature of the upstream tarball:
    - debian/upstream/signing-key.asc:
      + Add key file.
    - debian/watch:
      + Add pgpsigurlmangle option.
  * Drop the following patches:
    - button-settings.patch
    - dont-use-sdl-audio.patch
  * Refresh the following patches:
    - compile-without-roms.patch
    - missing-roms-help.patch
    - load-opense-rom.patch
    - disable-autoload.patch
    - desktop-file.patch
    - manpage-errors.patch
  * Build with bash completion support.
    - debian/rules:
      + Enable bash completion in configure.
    - bash-completion.patch:
      + Add bash completion for the fuse-gtk and fuse-sdl binaries.
  * debian/rules:
    - Build both binaries with -DNDEBUG -DG_DISABLE_CAST_CHECKS.
    - Use separate build directories for the GTK+ and SDL versions.
    - Add 'Keywords' field to the .desktop files.
  * debian/control:
    - Build depend on libspectrum 1.2.0.
    - Update Standards-Version to 3.9.8 (no changes).
    - Update package descriptions with the new features in this release.
  * debian/copyright:
    - Update copyright years.
  * debian/fuse-emulator-common.install:
    - Install hacking/{peripheral_tests.txt,spectranet.txt}.

 -- Alberto Garcia <email address hidden>  Wed, 08 Jun 2016 01:46:07 +0300
Superseded in yakkety-release on 2016-06-08
Deleted in yakkety-proposed on 2016-06-09 (Reason: moved to release)
fuse-emulator (1.1.1+dfsg1-3build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:06:19 +0000
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
fuse-emulator (1.1.1+dfsg1-3) unstable; urgency=medium

  * debian/rules:
    - Enable parallel builds.
  * button-settings.patch:
    - Fix segmentation fault in the GTK+ UI due to uninitialised keyboard
      button settings.
  * debian/control:
    - Update Standards-Version to 3.9.6 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <email address hidden>  Tue, 05 May 2015 14:32:31 +0300

Available diffs

Superseded in wily-release on 2015-05-07
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
fuse-emulator (1.1.1+dfsg1-2) unstable; urgency=low


  [ Sergio Baldovi ]
  * debian/rules: don't override the hardening flags in the GTK+ version
    (Closes: #712098).

 -- Alberto Garcia <email address hidden>  Thu, 13 Jun 2013 11:55:48 +0300

Available diffs

Superseded in saucy-release on 2013-06-13
Deleted in saucy-proposed on 2013-06-15 (Reason: moved to release)
fuse-emulator (1.1.1+dfsg1-1) unstable; urgency=low


  * New upstream release.
  * Update my e-mail address in debian/*.
  * Remove the following patches, which have already been merged in this
    release:
    - 04_unfiltered-audio.patch
    - 05_fix-missing-roms-crash.patch
    - 08_include-zlib.patch
    - 10_fix-joystick-crash.patch
  * Refresh all remaining patches and remove their numbering.
  * Build with hardening options.
    - debian/compat: bump debhelper compatibility level to 9.
    - debian/control: update build dependency on debhelper as well.
  * debian/rules: compile Fuse with --enable-gtk3.
    - debian/control: replace build dependency on GTK+ 2 with GTK+ 3.
  * debian/rules: compile Fuse with --enable-desktop-integration.
    - debian/fuse-emulator-common.install: remove fuse.png.
    - debian/rules: don't create fuse.png from winfuse.ico.
    - debian/control: remove build dependency on icoutils.
  * Remove debian/fuse-{sdl,gtk}.desktop and use data/fuse.desktop
    to generate them.
    - debian/rules: generate fuse-{sdl,gtk}.desktop.
    - desktop-file.patch: don't install data/fuse.desktop.
  * manpage-errors.patch: fix formatting errors in the manual page.
  * debian/fuse-emulator-common.install: install menu_data.ui, necessary
    for the GTK+ version.
    - debian/rules: keep the file after the GTK+ build, otherwise it will
      be removed by dh_auto_clean.
  * debian/control:
    - Update build dependency on libspectrum to >= 1.1.0.
    - Add build dependency on zlib1g-dev.
    - Remove obsolete DM-Upload-Allowed flag.
    - Update Standards-Version to 3.9.4 (no changes).
    - Update description with new features.
  * debian/copyright: update copyright years.
  * debian/rules: add get-orig-source rule to create the Debian source
    tarball.

 -- Alberto Garcia <email address hidden>  Tue, 04 Jun 2013 19:28:27 +0200

Available diffs

Superseded in saucy-release on 2013-06-05
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
fuse-emulator (1.0.0.1a+dfsg1-4) unstable; urgency=low


  * Add headers to all patches.
  * 01_compile-without-roms.patch: apply against Makefile.am and
    configure.in.
    - debian/control: Add build dependency on dh-autoreconf.
    - debian/rules: Run dh --with autoreconf.
  * 09_dont-use-sdl-audio.patch: Don't use the SDL audio driver, it has
    issues with PulseAudio. Use Alsa instead.
  * 10_fix-joystick-crash.patch: Don't crash with joysticks with more than
    10 buttons (Closes: #665640).
  * Use the 48x48 version of the Fuse icon:
    - debian/control: build-depend on icoutils instead of imagemagick.
    - debian/fuse-emulator-common.install: change icon path.
    - debian/rules: use icotool to extract the icon.
  * Disable GObject cast checks in the GTK+ version:
    - debian/rules: add -DG_DISABLE_CAST_CHECKS to the CFLAGS variable.
  * debian/control: update Standards-Version to 3.9.3.
  * debian/copyright: update debian copyright format URL.

 -- Alberto Garcia <email address hidden>  Sun, 25 Mar 2012 23:43:31 +0300
Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
fuse-emulator (1.0.0.1a+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add dependency on opense-basic as an alternative to
    spectrum-roms, but suggest spectrum-roms anyway.
  * debian/control: move the package from contrib to main. Now that
    there's opense-basic, the non-free package spectrum-roms is no longer
    a requisite. See README.Debian for details.
  * debian/control: add DM-Upload-Allowed flag.
  * debian/control: update Standards-Version to 3.9.2.
  * Refresh 04_unfiltered-audio.patch.
  * New patches:
    - 06_load-opense-rom.patch: load the OpenSE BASIC ROM if the original
      Spectrum ROMs are not found.
    - 07_disable-autoload.patch: don't use the auto load feature with
      OpenSE BASIC.
  * debian/watch: update regular expression to include letters in the
    version number.
  * debian/README.Debian: update notes to mention OpenSE BASIC.
  * debian/copyright: the legal status of the ROMs distributed in the
    upstream tarball is not unclear anymore.
  * debian/copyright: list files released under the GNU LGPL.
  * debian/fuse-emulator-{common,gtk,sdl}.lintian-overrides: the package
    description is really meant to start with 'The'.

123 of 23 results